### Class

# Gio ThemedIcon

since: 2.0

#### Description

    final class Gio.ThemedIcon : GObject.Object
      implements Gio.Icon {
      /* No available fields */
    }

`GThemedIcon` is an implementation of `GIcon` that supports icon themes.

`GThemedIcon` contains a list of all of the icons present in an icon theme, so that icons can be looked up quickly. `GThemedIcon` does not provide actual pixmaps for icons, just the icon names. Ideally something like Gtk.IconTheme.choose_icon should be used to resolve the list of names so that fallback icons work nicely with themes that inherit other themes.

Available since: 2.0

#### Ancestors

- GObject

#### Implements

- GIcon

#### Constructors

###### g_themed_icon_new

Creates a new themed icon for `iconname`.

since: 2.0

###### g_themed_icon_new_from_names

Creates a new themed icon for `iconnames`.

since: 2.0

###### g_themed_icon_new_with_default_fallbacks

Creates a new themed icon for `iconname`, and all the names that can be created by shortening `iconname` at ‘-‘ characters.

since: 2.0

#### Instance methods

###### g_themed_icon_append_name

Append a name to the list of icons from within `icon`.

since: 2.0

###### g_themed_icon_get_names

Gets the names of icons from within `icon`.

since: 2.0

###### g_themed_icon_prepend_name

Prepend a name to the list of icons from within `icon`.

since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

since: 2.0

###### g_icon_hash

Gets a hash for an icon.

since: 2.0

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

since: 2.38

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

since: 2.20

#### Properties

###### Gio.ThemedIcon:name

The icon name.

since: 2.0

###### Gio.ThemedIcon:names

A `NULL`-terminated array of icon names.

since: 2.0

###### Gio.ThemedIcon:use-default-fallbacks

Whether to use the default fallbacks found by shortening the icon name at ‘-‘ characters. If the “names” array has more than one element, ignores any past the first.

since: 2.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioThemedIconClass {
      /* no available fields */
    }

No description available.